# GET /api/user/self

**Method**: `GET`
**Endpoint**: `/api/user/self`

This section contains endpoint-specific behavior, parameters, or usage notes for this API.
This section contains endpoint-specific behavior, parameters, or usage notes for this API.

## Request Parameters

### Header Parameters

```text
New-API-User
string
  // provider-specific example normalized for English documentation
Required
Example:
  // provider-specific example normalized for English documentation
```

## Example Request

### Shell

```bash
curl --location --request GET '/api/user/self' \
  // provider-specific example normalized for English documentation
--header 'Authorization: Bearer <token>'
```

## Response

### 🟢 200 Success

**Content Type**: `application/json`

#### Response Schema

```text
object
```

#### Example

```json
{
    "data": {
        "id": 1,
        "username": "xx",
        "password": "",
        "display_name": "xx",
        "status": 1,
        "email": "xx",
        "github_id": "xx",
        "wechat_id": "",
        "telegram_id": "",
        "verification_code": "",
        "access_token": "xxx",
        "quota": 1000000,   // provider-specific note
        "used_quota": 1000000,
        "request_count": 1,
        "group": "default",
        "aff_code": "xx",
        "aff_count": 2,
        "aff_quota": 3500000,
        "aff_history_quota": 5000000,
        "inviter_id": 0,
        "exclusive_price": "",
        "allow_models": "",
        "fixed_quota": 0,
        "fixed_quota_expire_at": 0,
        "agent_user_id": 0,
        "order_num": 1,
        "task_limits": "",
        "last_login_time": 1747745912,
        "last_login_ip": "210.61.187.236"
    },
    "message": "",
    "success": true
}
```
